Bug 593432 - SELinux is preventing /usr/bin/python "read" access on /var/cache/yum/x86_64/12/updates-debuginfo.
SELinux is preventing /usr/bin/python "read" access on /var/cache/yum/x8...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:e9e24894c44...
:
: 593435 593437 593438 593439 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 15:00 EDT by Brian Whitehead
Modified: 2010-08-19 07:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 07:30:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Whitehead 2010-05-18 15:00:24 EDT
Summary:

SELinux is preventing /usr/bin/python "read" access on
/var/cache/yum/x86_64/12/updates-debuginfo.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by yum. It is not expected that this access is
required by yum and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:munin_t:s0
Target Context                system_u:object_r:rpm_var_cache_t:s0
Target Objects                /var/cache/yum/x86_64/12/updates-debuginfo [ dir ]
Source                        yum
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-4.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-113.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.11-99.fc12.x86_64 #1 SMP Mon Apr 5 19:59:38
                              UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Tue 18 May 2010 01:20:27 PM CDT
Last Seen                     Tue 18 May 2010 01:20:27 PM CDT
Local ID                      bd726341-063c-4de7-8ead-a5c4e73aeafa
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274206827.621:143): avc:  denied  { read } for  pid=4055 comm="yum" name="updates-debuginfo" dev=dm-0 ino=924975 scontext=system_u:system_r:munin_t:s0 tcontext=system_u:object_r:rpm_var_cache_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1274206827.621:143): avc:  denied  { open } for  pid=4055 comm="yum" name="updates-debuginfo" dev=dm-0 ino=924975 scontext=system_u:system_r:munin_t:s0 tcontext=system_u:object_r:rpm_var_cache_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1274206827.621:143): arch=c000003e syscall=2 success=yes exit=73014444160 a0=2aa8920 a1=90800 a2=0 a3=6265642d73657461 items=0 ppid=4054 pid=4055 auid=4294967295 uid=0 gid=468 euid=0 suid=0 fsuid=0 egid=468 sgid=468 fsgid=468 tty=(none) ses=4294967295 comm="yum" exe="/usr/bin/python" subj=system_u:system_r:munin_t:s0 key=(null)



Hash String generated from  catchall,yum,munin_t,rpm_var_cache_t,dir,read
audit2allow suggests:
audit2allow is not installed.
Comment 1 Daniel Walsh 2010-05-18 15:23:08 EDT
*** Bug 593435 has been marked as a duplicate of this bug. ***
Comment 2 Daniel Walsh 2010-05-18 15:23:26 EDT
*** Bug 593437 has been marked as a duplicate of this bug. ***
Comment 3 Daniel Walsh 2010-05-18 15:23:32 EDT
*** Bug 593438 has been marked as a duplicate of this bug. ***
Comment 4 Daniel Walsh 2010-05-18 15:23:38 EDT
*** Bug 593439 has been marked as a duplicate of this bug. ***
Comment 5 Daniel Walsh 2010-05-18 15:24:27 EDT
Why is munin running yum?

Note You need to log in before you can comment on or make changes to this bug.